安全狗安装时出现相关问题解决方法

今天博主无聊准备在ECS服务器安装个安全狗了看看,结果在安装时出现几个问题,博主在网上搜了相关问题找到了解决方法,在此分享一下。

此次博主主要遇到了两个问题

问题①:在执行安全狗最后一步安装也就是 ./install.py这个命令时提示Need system command ‘locate’ to install safedog for linux.Installation aborted!

出现这个问题是因为缺少搜索命令组件

远行      yum -y install mlocate

命令后再次安装即可

 

问题②博主远行刚刚命令后再次安装又出现了Need system command ‘dmidecode’ to install safedog for linux.

这个问题也是由于服务器缺少组件造成安装出错

输入      yum install -y dmidecode

再次安装即可

还要一个问题博客没有遇到,不过也写下了给遇到这个问题的朋友,那就是安装时提示Need system command ‘lspci’ to install safedog for linux.Installation aborted!

问题产生因为是lspci未安装

输入    yum -y install pciutils

「点点赞赏,手留余香」

    还没有人赞赏,快来当第一个赞赏的人吧!